<img src="https://etud.insa-toulouse.fr/~amicale_app/images/promo/Banner.png" alt="banner" width="500"/>

[<img src="https://etud.insa-toulouse.fr/~amicale_app/images/promo/app-store-badge.png" alt="app-store" width="150"/>](https://apps.apple.com/us/app/id1477722148)
[<img src="https://etud.insa-toulouse.fr/~amicale_app/images/promo/google-play-badge.png" alt="google-play" width="150"/>](https://play.google.com/store/apps/details?id=fr.amicaleinsat.application)


Projet démarré pendant l'été 2019 par Arnaud Vergnet (alors en 3MIC), cette application compatible Android et iOS permet aux étudiants d'avoir un accès facile aux informations du campus :
 - Connexion à son compte Amicale
 - Liste des événements sur le campus
 - État des machines à laver
 - Emploi du temps

...et bien d'autres services

Pour la source du serveur utilisé pour synchroniser les informations, merci de voir [ce dépôt](https://git.etud.insa-toulouse.fr/vergnet/application-amicale-serveur).

## 🗨️ [Des questions ? Viens discuter sur Discord !](https://discord.gg/W8MeTec)

# 🔎 Besoin de mainteneur

Ce projet a été réalisé en grande partie par **un seul étudiant**, mais cet étudiant (coucou c'est moi) ne va pas rester éternellement à l'INSA. **Il faut donc une relève !** Le projet étant stable, le minimum est de corriger les bugs rencontrés.

Tout le monde peut contribuer, mais **il faut tout de même au moins une personne pour gouverner le projet** : accepter les modifications, compiler et mettre en ligne sur les magasins. Pas besoin d'énormément de connaissance, seulement de la motivation.

Le tout, bien sûr, permet de valoriser une implication citoyenne 😉. 

# 🚀 Contribuer

**Tu veux influencer le développement ? C'est très simple !**

#### 🙃 Aucune connaissance ?
Pas de problème ! Tu peux aider simplement en proposant des améliorations ou en rapportant des bugs par mail ([app@amicale-insat.fr](mailto:app@amicale-insat.fr)), sur [Discord](https://discord.gg/W8MeTec), ou sur [cette page](https://git.etud.insa-toulouse.fr/vergnet/application-amicale/issues) en te connectant avec tes login INSA.

#### 🌍 Bilingue ou plus ?

Tu peux aider à traduire l'application ! Le projet existe en français et anglais (mais il peut y avoir des fautes !), et toute autre langue est la bienvenue.

Si tu es intéressé, rends-toi sur [cette page](doc/TRANSLATE.md) pour plus de détails.

#### 🤓 Développeur dans l'âme ?
Peu importe ton niveau, toutes les propositions de modification sont les bienvenues ! (enfin presque)

Pour cela, [suis ce guide](doc/CONTRIBUTE.md).

#### 🤯 Motivé mais perdu ?
Tu es quand même le bienvenu ! Tu trouveras [une liste de liens](doc/LINKS.md) pour t'aider à comprendre les technologies utilisées dans ce projet. Si tu as plus de questions, tu peux toujours me contacter par mail  ([app@amicale-insat.fr](mailto:app@amicale-insat.fr)). 

## 👨‍💻 Technologies Utilisées
Cette application est faite en JavaScript avec React Native (framework Open Source créé par Facebook).

React Native permet de n'avoir qu'un seul code JavaScript à écrire pour Android et iOS. Pour compiler pour la plateforme souhaitée, il suffit d'effectuer une simple commande. Plus besoin de Mac pour développer une application iOS ! (Mais toujours besoin d'un pour compiler et publier sur l'App store...)

Tu trouveras [une liste de liens utiles](doc/LINKS.md) pour retrouver toutes les infos !

# 💾 [Installer l'application sur ton téléphone depuis ce dépot](doc/INSTALL.md)

# 📔️ [Notes de changement](Changelog.md)

# 🗒️ [Notes sur l'état actuel du projet](doc/NOTES.md)

# 🔗 [Liens Utiles](doc/LINKS.md)

# 🤝 Contributeurs

| <img src="https://secure.gravatar.com/avatar/8e33a1b2cedf7168e8468a1522cc8c56?d=identicon&s=290" alt="app-store" width="150"/> | <img src="https://secure.gravatar.com/avatar/9792c3643f98cddbc2a42e05422fe66e?d=identicon&s=290" alt="app-store" width="150"/> | ❔ |
|--------------------------------|--------------------------------|-------------------------------------------|
| **Arnaud Vergnet**             | **Yohan Simard**               | **Toi ?**                                 |
| Créateur et mainteneur actuel  | Correction de quelques bugs    | [Contribue pour faire vivre le projet !](doc/CONTRIBUTE.md)   |

# 👏 Remerciements

* **Béranger Quintana Y Arciosana** : Étudiant en AE (2020) et Président de l'Amicale au moment de la création et du lancement du projet. L'application, c'était son idée. Il a beaucoup aidé pour trouver des bugs, de nouvelles fonctionnalités et faire de la com.
* **Céline Tassin** : Étudiante en GPE (2020). Sans elle, tout serait moins mignon. Elle a aidé pour écrire le texte, faire de la com, et aussi à créer la mascotte 🦊.
* **Damien Molina** : Étudiant en IR (2020) et créateur de la dernière version du [site de l'Amicale](https://amicale-insat.fr/). Grâce à son aide, intégrer les services de l'Amicale à l'application a été très simple. 
* **Titouan Labourdette** : Étudiant en IR (2020). Il a beaucoup aidé pour trouver des bugs et proposer des nouvelles fonctionnalités.
* **Théo Tami** : Étudiant en AE (2020). Si l'application marche sur iOS, c'est grâce à son aide lors de ses nombreux tests. 

# 📄 Licence

L'application est **Open Source** sous licence **GPLv3**.

# 🔐 Copyright
Apple and Apple Logo are trademarks of Apple Inc.

Google Play et le logo Google Play sont des marques de Google LLC.
